(set-logic BV)
(declare-fun b_seg2_off0_gen1 () (_ BitVec 32))
(declare-fun b_seg2_off1_gen1 () (_ BitVec 32))

(assert
(let ((a!1 ((_ zero_extend 16)
             ((_ extract 15 0)
               (bvadd #x00000000 (bvand b_seg2_off0_gen1 #x000000ff))))))
(let ((a!2 ((_ zero_extend 24)
             ((_ extract 7 0) ((_ extract 15 0) (bvadd a!1 #x00000065))))))
  (and true
       (= (bvlshr b_seg2_off0_gen1 #x00000018) #x00000000)
       (= (bvand (bvlshr b_seg2_off0_gen1 #x00000010) #x000000ff) #x00000000)
       (= (bvand (bvlshr b_seg2_off0_gen1 #x00000008) #x000000ff) #x00000000)
       (bvugt ((_ extract 15 0) (bvadd a!1 #x00000065)) #x00ff)
       (= b_seg2_off1_gen1 (bvor #x00fe5200 a!2 #x0d000000))))))

(assert
(forall ((a_seg2_off0_gen1 (_ BitVec 32))
         (a_seg2_off0_gen1!1 (_ BitVec 32))
         (a_seg2_off0_gen1!2 (_ BitVec 32))
         (a_seg2_off0_gen1!3 (_ BitVec 32))
         (a_seg2_off0_gen1!4 (_ BitVec 32))
         (a_seg2_off1_gen1 (_ BitVec 32))
         (a_seg2_off0_gen1!5 (_ BitVec 32))
         (a_seg2_off0_gen1!6 (_ BitVec 32))
         (a_seg2_off0_gen1!7 (_ BitVec 32)))
  (let ((a!1 ((_ zero_extend 16)
               ((_ extract 15 0)
                 (bvadd #x00000000 (bvand a_seg2_off0_gen1!7 #x000000ff)))))
        (a!2 ((_ extract 15 0)
               (bvadd #x00000001
                      (bvand (bvlshr a_seg2_off0_gen1!7 #x00000008) #x000000ff))))
        (a!4 ((_ extract 15 0)
               (bvadd #x00000000
                      (bvand (bvlshr a_seg2_off0_gen1!7 #x00000010) #x000000ff)))))
  (let ((a!3 (bvule ((_ extract 15 0)
                      (bvadd ((_ zero_extend 16) a!2) #x00000051))
                    #x00ff))
        (a!5 (bvugt ((_ extract 15 0)
                      (bvadd ((_ zero_extend 16) a!4) #x000000fe))
                    #x00ff))
        (a!6 ((_ extract 7 0)
               ((_ extract 15 0) (bvadd ((_ zero_extend 16) a!4) #x000000fe))))
        (a!7 ((_ extract 7 0)
               ((_ extract 15 0) (bvadd ((_ zero_extend 16) a!2) #x00000051))))
        (a!8 ((_ zero_extend 24)
               ((_ extract 7 0) ((_ extract 15 0) (bvadd a!1 #x00000065))))))
  (let ((a!9 (= a_seg2_off1_gen1
                (bvor (bvshl ((_ zero_extend 24) a!6) #x00000010)
                      (bvshl ((_ zero_extend 24) a!7) #x00000008)
                      a!8
                      #x0e000000))))
  (let ((a!10 (and true
                   (= (bvlshr a_seg2_off0_gen1!7 #x00000018) #x00000000)
                   (distinct (bvand (bvlshr a_seg2_off0_gen1!7 #x00000010)
                                    #x000000ff)
                             #x00000000)
                   (bvugt ((_ extract 15 0) (bvadd a!1 #x00000065)) #x00ff)
                   a!3
                   a!5
                   a!9)))
    (or (not a!10)
        false
        (distinct a_seg2_off0_gen1!7 b_seg2_off0_gen1)
        (distinct a_seg2_off1_gen1 b_seg2_off1_gen1))))))))

(check-sat)