(set-logic BV)
(set-info :source | Software ranking function synthesis problems.
These benchmarks stem from an evaluation described in Wintersteiger, Hamadi, de Moura: Efficiently solving quantified bit-vector formulas, FMSD 42(1), 2013.
The software models that were used are from a previous evaluation of termination proving tools described in Cook, Kroening, Ruemmer, Wintersteiger: Ranking Function Synthesis for Bit-Vector Relations, TACAS 2010.
 |)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(assert (exists ((cpp__main__c__main__1__nNewPos_36_C (_ BitVec 32))) (exists ((cpp__main__c__main__1__nFirst_36_C (_ BitVec 32))) (exists ((cpp__main__c__main__1__nBlockCounter_36_C (_ BitVec 32))) (forall ((termination__pre__0__cpp__main__c__main__1__nBlockCounter (_ BitVec 32))) (forall ((termination__pre__0__cpp__main__c__main__1__nNewPos (_ BitVec 32))) (forall ((termination__pre__0__cpp__main__c__main__1__nFirst (_ BitVec 32))) (forall ((cpp__main__c__main__1__nBlockCounter_35_0 (_ BitVec 32))) (forall ((cpp__main__c__main__1__nLast (_ BitVec 32))) (forall ((cpp__main__c__main__1__nBlockCounter (_ BitVec 32))) (forall ((cpp__main__c__main__1__nNewPos (_ BitVec 32))) (forall ((cpp__main__c__main__1__nFirst (_ BitVec 32))) (=> (and (= termination__pre__0__cpp__main__c__main__1__nFirst cpp__main__c__main__1__nFirst) (= termination__pre__0__cpp__main__c__main__1__nNewPos cpp__main__c__main__1__nNewPos) (= termination__pre__0__cpp__main__c__main__1__nBlockCounter cpp__main__c__main__1__nBlockCounter_35_0) (= cpp__main__c__main__1__nBlockCounter (bvadd cpp__main__c__main__1__nBlockCounter_35_0 (_ bv1 32))) (not (= (bvadd cpp__main__c__main__1__nBlockCounter cpp__main__c__main__1__nNewPos) (_ bv32 32))) (not (= (bvadd cpp__main__c__main__1__nBlockCounter cpp__main__c__main__1__nFirst) (_ bv32 32))) (not (= (bvadd cpp__main__c__main__1__nBlockCounter cpp__main__c__main__1__nFirst) (bvadd (_ bv1 32) cpp__main__c__main__1__nLast))) (not (= (bvand (bvadd (_ bv4294967295 32) (bvadd cpp__main__c__main__1__nBlockCounter cpp__main__c__main__1__nFirst)) (_ bv31 32)) cpp__main__c__main__1__nLast))) (bvslt (bvadd ((_ sign_extend 2) (bvadd ((_ sign_extend 2) (bvmul ((_ sign_extend 32) cpp__main__c__main__1__nFirst_36_C) ((_ sign_extend 32) cpp__main__c__main__1__nFirst))) ((_ sign_extend 2) (bvmul ((_ sign_extend 32) cpp__main__c__main__1__nNewPos_36_C) ((_ sign_extend 32) cpp__main__c__main__1__nNewPos))))) ((_ sign_extend 4) (bvmul ((_ sign_extend 32) cpp__main__c__main__1__nBlockCounter_36_C) ((_ sign_extend 32) cpp__main__c__main__1__nBlockCounter)))) (bvadd ((_ sign_extend 2) (bvadd ((_ sign_extend 2) (bvmul ((_ sign_extend 32) cpp__main__c__main__1__nFirst_36_C) ((_ sign_extend 32) termination__pre__0__cpp__main__c__main__1__nFirst))) ((_ sign_extend 2) (bvmul ((_ sign_extend 32) cpp__main__c__main__1__nNewPos_36_C) ((_ sign_extend 32) termination__pre__0__cpp__main__c__main__1__nNewPos))))) ((_ sign_extend 4) (bvmul ((_ sign_extend 32) cpp__main__c__main__1__nBlockCounter_36_C) ((_ sign_extend 32) termination__pre__0__cpp__main__c__main__1__nBlockCounter)))))) ) ) ) ) ) ) ) ) ) ) ))
(check-sat)
(exit)
