(set-logic BV)
(declare-fun b_seg1_off0_gen1 () (_ BitVec 32))
(declare-fun b_seg2_off0_gen1 () (_ BitVec 32))

(assert
(and true
     (bvsgt b_seg1_off0_gen1 #xffffffff)
     (bvsge b_seg1_off0_gen1 #x00000000)
     (= b_seg1_off0_gen1 b_seg2_off0_gen1)))

(assert
(forall ((a_seg1_off0_gen1 (_ BitVec 32))
         (a_seg1_off0_gen1!1 (_ BitVec 32))
         (a_seg1_off0_gen1!2 (_ BitVec 32))
         (a_seg2_off0_gen1 (_ BitVec 32)))
  (or (not (and true
                (bvsle a_seg1_off0_gen1!2 #xffffffff)
                (bvslt a_seg1_off0_gen1!2 #x00000000)
                (= a_seg1_off0_gen1!2 a_seg2_off0_gen1)))
      false
      (distinct a_seg1_off0_gen1!2 b_seg1_off0_gen1))))

(check-sat)